Get URL to recipient view UI
Returns a URL that enables you to embed the recipient view of the DocuSign UI in your applications. If the recipient is a signer, then the view will provide the signing ceremony.
Note: Please redirect the client to the URL. iFrames should not be used, especially if the recipient is using a mobile or tablet.
This method is only used with envelopes in the sent status.
Your application is responsible for authenticating the identity of the recipient or signer when you use this method. Use the parameters assertionId, authenticationInstant, authenticationMethod, clientUserId, and securityDomain to record information on how the recipient was authenticated. At a minimum, authenticationMethod and clientUserId are required. The information that you provide is included in the envelope’s certificate of completion.
The event status parameter
After the signer completes or ends the signing ceremony, DocuSign will redirect the user’s browser back to your app via the returnUrl that you supply. DocuSIgn appends an event query parameter to the URL with the outcome of the signing ceremony. Your app should use the event parameter to determine the next step for the envelope. Don’t fetch the envelope’s status via Envelopes: get or a similar method; that could break the DocuSign rule against polling.
The URL is time-limited
The URL returned by this method is valid for one use. It must be used/displayed within a couple of minutes after being generated. Once the recipient is redirected to the recipient view, they must interact with the DocuSign system periodically or their session will time out.
Because the URL is time-limited, it should not be stored or sent via email. Immediately redirect the user’s browser to the URL after you receive it.
If you want to invite someone to an embedded signing session via email, the email invitation’s URL must be to your application. When invoked, your app should request a recipientView URL from DocuSign and then redirect the signer to that URL.
Maintaining State
After the recipient completes the recipient view (or signing ceremony), they are redirected to your application. Your application can recover state information about the transaction by storing information in a cookie, or by including query parameters in the returnUrl field. Eg, https://myapp.eg.com/docusign_return?myState=12345 When the user is redirected to your app, the event query parameter will be appended. In this example, prevent spoofing by not using a guessable value as the state value.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
The external account number (int) or account id GUID.
The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec
Request
This endpoint expects an object: recipientViewRequest
A sender generated value that indicates the date/time that the signer was authenticated.
Required. Choose a value that most closely matches the technique your application used to authenticate the recipient / signer.
Choose a value from this list:
- Biometric
- HTTPBasicAuth
- Kerberos
- KnowledgeBasedAuth
- None
- PaperDocuments
- Password
- RSASecureID
- SingleSignOn_CASiteminder
- SingleSignOn_InfoCard
- SingleSignOn_MicrosoftActiveDirectory
- SingleSignOn_Other
- SingleSignOn_Passport
- SingleSignOn_SAML
- Smartcard
- SSLMutualAuth
- X509Certificate
This information is included in the Certificate of Completion.
A sender created value. If provided, the recipient is treated as an embedded (captive) recipient or signer.
Use your application’s client ID (user ID) for the recipient. Doing so enables the details of your application’s authentication of the recipient to be connected to the recipient’s signature if the signature is disputed or repudiated.
Maximum length: 100 characters.
Only used if pingUrl is specified. This is the interval, in seconds, between pings on the pingUrl. The default is 300 seconds. Valid values are 60-1200 seconds.
The URL that the recipient is redirected to
after the signing session has ended.
DocuSign redirects to the URL
and includes an event query parameter
that can be used by your application.
Possible event parameter values include:
access_code_failed
Recipient used incorrect access code.cancel
Recipient canceled the signing operation, possibly by using the Finish Later option.decline
Recipient declined to sign.exception
A system error occurred during the signing process.fax_pending
Recipient has a fax pending.id_check_failed
Recipient failed an ID check.session_timeout
The session timed out. An account can control this timeout using the Signer Session Timeout option.signing_complete
Recipient completed the signing ceremony.ttl_expired
The Time To Live token for the envelope has expired. After being successfully invoked, these tokens expire after 5 minutes or if the envelope is voided.viewing_complete
The recipient completed viewing an envelope that is in a read-only/terminal state such as completed, declined, or voided.
Be sure to include https:// in the URL or the redirect may fail on certain browsers.
Specifies the user ID of the recipient. You can use with user ID or email and user name to identify the recipient.
If userId is used and a clientUserId is provided, the value in the userId property must match a recipientId (which can be retrieved with a GET recipients call) for the envelope.
If a userId is used and a clientUserId is not provided, the userId must match the user ID of the authenticating user.
Specifies whether a browser should be allowed to render a page in a frame or IFrame. Setting this property ensures that your content is not embedded into unauthorized pages or frames.
Valid values are:
deny: The page cannot be displayed in a frame.same_origin: The page can only be displayed in a frame on the same origin as the page itself.allow_from: The page can only be displayed in a frame on the origin specified by thexFrameOptionsAllowFromUrlproperty.
When the value of xFrameOptions is allow_from, this property specifies the origin on which the page is allowed to display in a frame. If the value of xFrameOptions is allow_from, you must include a value for this property.